ruby1.8: FTBFS: lib/yaml/syck.rb:5:in `require': no such file to load -- syck (LoadError)

Bug #15244 reported by Debian Bug Importer on 2005-04-11
4
Affects Status Importance Assigned to Milestone
ruby1.8 (Debian)
Fix Released
Unknown
ruby1.8 (Ubuntu)
High
LaMont Jones

Bug Description

Automatically imported from Debian bug report #304157 http://bugs.debian.org/304157

# Automatically generated email from bts, devscripts version 2.8.14
tags 304157 sid

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #304157 http://bugs.debian.org/304157

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 11 Apr 2005 12:13:57 +0200
From: Andreas Jochens <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: ruby1.8: FTBFS: lib/yaml/syck.rb:5:in `require': no such file to load -- syck (LoadError)

Package: ruby1.8
Version: 1.8.2-4
Severity: serious
Tags: patch

When building 'ruby1.8' in a clean 'unstable' chroot,
I get the following error:

Generating RI...
./build-tree/ruby-1.8.2/lib/yaml/syck.rb:5:in `require': no such file to load -- syck (LoadError)
 from ./build-tree/ruby-1.8.2/lib/yaml/syck.rb:5
 from ./build-tree/ruby-1.8.2/lib/yaml.rb:9:in `require'
 from ./build-tree/ruby-1.8.2/lib/yaml.rb:9
 from ./build-tree/ruby-1.8.2/lib/rdoc/ri/ri_descriptions.rb:1:in `require'
 from ./build-tree/ruby-1.8.2/lib/rdoc/ri/ri_descriptions.rb:1
 from ./build-tree/ruby-1.8.2/lib/rdoc/ri/ri_reader.rb:1:in `require'
 from ./build-tree/ruby-1.8.2/lib/rdoc/ri/ri_reader.rb:1
 from ./build-tree/ruby-1.8.2/lib/rdoc/generators/ri_generator.rb:46:in `require'
 from ./build-tree/ruby-1.8.2/lib/rdoc/generators/ri_generator.rb:46
 from ./build-tree/ruby-1.8.2/lib/rdoc/rdoc.rb:250:in `require'
 from ./build-tree/ruby-1.8.2/lib/rdoc/rdoc.rb:250:in `document'
 from build-tree/ruby-1.8.2/bin/rdoc:63
make: *** [install-ri-stamp] Error 1

This could be fixed by adding a Build-Depends on 'libruby1.8'
to debian/control. However, this would make the 'ruby1.8' package
depend on itself, which does not seem to be a good idea.
Please don't do that.

The previous version 1.8.2-3 did not have this problem.

The FTBFS problem can be fixed by removing the new '103_cvs_updates.patch'
from debian/patches.

Regards
Andreas Jochens

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 11 Apr 2005 03:32:41 -0700
From: Steve Langasek <email address hidden>
To: <email address hidden>
Subject: tagging 304157

# Automatically generated email from bts, devscripts version 2.8.14
tags 304157 sid

Download full text (5.4 KiB)

Source: ruby1.8
Source-Version: 1.8.2-5

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.2-5_all.deb
libdbm-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-5_i386.deb
libgdbm-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-5_i386.deb
libopenssl-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-5_i386.deb
libreadline-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-5_i386.deb
libruby1.8-dbg_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.2-5_i386.deb
libruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.2-5_i386.deb
libtcltk-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-5_i386.deb
rdoc1.8_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.2-5_all.deb
ri1.8_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.2-5_all.deb
ruby1.8-dev_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.2-5_i386.deb
ruby1.8-elisp_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.2-5_all.deb
ruby1.8-examples_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.2-5_all.deb
ruby1.8_1.8.2-5.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.2-5.diff.gz
ruby1.8_1.8.2-5.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.2-5.dsc
ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.2-5_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <email address hidden> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 12 Apr 2005 02:50:27 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.2-5
Distribution: unstable
Urgency: high
Maintainer: akira yamada <email address hidden>
Changed-By: akira yamada <email address hidden>
Description:
 irb1.8 - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging libraries for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8 - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8 - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8 - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header ...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (5.6 KiB)

Message-Id: <email address hidden>
Date: Mon, 11 Apr 2005 22:02:05 -0400
From: akira yamada <email address hidden>
To: <email address hidden>
Subject: Bug#304157: fixed in ruby1.8 1.8.2-5

Source: ruby1.8
Source-Version: 1.8.2-5

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.2-5_all.deb
libdbm-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.2-5_i386.deb
libgdbm-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.2-5_i386.deb
libopenssl-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.2-5_i386.deb
libreadline-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.2-5_i386.deb
libruby1.8-dbg_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.2-5_i386.deb
libruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.2-5_i386.deb
libtcltk-ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.2-5_i386.deb
rdoc1.8_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.2-5_all.deb
ri1.8_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.2-5_all.deb
ruby1.8-dev_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.2-5_i386.deb
ruby1.8-elisp_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.2-5_all.deb
ruby1.8-examples_1.8.2-5_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.2-5_all.deb
ruby1.8_1.8.2-5.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.2-5.diff.gz
ruby1.8_1.8.2-5.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.2-5.dsc
ruby1.8_1.8.2-5_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.2-5_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <email address hidden> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 12 Apr 2005 02:50:27 +0900
Source: ruby1.8
Binary: libtcltk-ruby1.8 libruby1.8-dbg rdoc1.8 libgdbm-ruby1.8 ruby1.8-dev ruby1.8-elisp ruby1.8-examples libdbm-ruby1.8 irb1.8 ruby1.8 libreadline-ruby1.8 libopenssl-ruby1.8 libruby1.8 ri1.8
Architecture: source i386 all
Version: 1.8.2-5
Distribution: unstable
Urgency: high
Maintainer: akira yamada <email address hidden>
Changed-By: akira yamada <email address hidden>
Description:
 irb1.8 - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging libraries for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8 - Gener...

Read more...

LaMont Jones (lamont) wrote :

And fixed upstream, so breezy will get a good version too.

Changed in ruby1.8:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.